Skip to main content
POST
/
gst
/
compliance
/
e-way-bill
/
consignor
/
bill
curl --request POST \ --url https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bill \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data ' { "supplyType": "O", "subSupplyType": "1", "subSupplyDesc": "", "docType": "INV", "docNo": "7001-8", "docDate": "15/12/2017", "fromGstin": "29AAACQ3770E000", "fromTrdName": "welton", "fromAddr1": "2ND CROSS NO 59 19 A", "fromAddr2": "GROUND FLOOR OSBORNE ROAD", "fromPlace": "FRAZER TOWN", "fromPincode": 560090, "actFromStateCode": 29, "fromStateCode": 29, "toGstin": "02EHFPS5910D2Z0", "toTrdName": "sthuthya", "toAddr1": "Shree Nilaya", "toAddr2": "Dasarahosahalli", "toPlace": "Beml Nagar", "toPincode": 560090, "actToStateCode": 29, "toStateCode": 27, "transactionType": 4, "otherValue": -100, "totalValue": 56099, "cgstValue": 0, "sgstValue": 0, "igstValue": 300.67, "cessValue": 400.56, "cessNonAdvolValue": 400, "totInvValue": 68358, "transporterId": "27AAACQ3770E004", "transporterName": "", "transDocNo": "", "transMode": "1", "transDistance": "100", "transDocDate": "", "vehicleNo": "PVC1234", "vehicleType": "R", "itemList": [ { "productName": "Wheat", "productDesc": "Wheat", "hsnCode": 1001, "quantity": 4, "qtyUnit": "BOX", "cgstRate": 0, "sgstRate": 0, "igstRate": 3, "cessRate": 3, "cessNonadvol": 0, "taxableAmount": 5609889 } ] } '
{ "code": 200, "data": { "error": { "errorCodes": "212," }, "info": "", "status": "0" }, "timestamp": 1763446641000, "transaction_id": "52d7e713-2b65-4a8f-9126-16af4e28ec59" }

Request body schema

View request body schema

Headers

Authorization
string
required

E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the Authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Body

application/json

JSON Body to generate E-Way Bill

Response

200 - application/json

212 Invalid Consignee GSTIN / 702 Distance between pincodes is too high or low / 200 EWB generated with alert / 604 Duplicate EWB / 620 Invoice value cannot be less than sum of items / 200 EWB generated / 359 User GSTIN should match from GSTIN / 619 Transporter Id is mandatory for Part A

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"52d7e713-2b65-4a8f-9126-16af4e28ec59"